Package org.eclipse.birt.report.model.api.validators

# Class CellOverlappingValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.CellOverlappingValidator

public class CellOverlappingValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Validates all cells in one row don't overlap each other.

### Rule

The rule is that all cells in the given row shouldn't overlap each other.

### Applicability

This validator is only applied to `TableRow`.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`CellOverlappingValidator()`

## Method Summary

Modifier and Type
Method
Description
`static CellOverlappingValidator`
`getInstance()`
Returns the singleton validator instance.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates whether any cell in the given row overlaps others.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CellOverlappingValidator

public CellOverlappingValidator()

## Method Details

### getInstance

public static CellOverlappingValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates whether any cell in the given row overlaps others.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the row to validate
Returns:
  error list, each of which is the instance of `SemanticException`.